Subject: Re: bug#19983: 24.4; exit-emacs regression in 24.4?

From: Sam Halliday <[email-masked]>
Date: Tue, 10 Mar 2015 23:17:39 +0000

Hi all,

With logic added to my script to skip bad builds, I get the following,
which is really confusing because the emacs-24.3 tag is Sun Mar 10 2013
and this is well before that. It's part of some epic merge at some
point, and I think git just fails to calculate the correct steps between
the two tags. Any suggestions for a better bound to check within that
won't confuse git so much? What the earliest parent commit for the 24.4
branch before the 24.3 code freezes?

================================================================
052f924a01f8a65ca0bfc9e6584302613e019489 is the first bad commit
commit 052f924a01f8a65ca0bfc9e6584302613e019489
Author: Chong Yidong <[email-masked]>
Date:   Fri Nov 2 08:48:12 2012 +0800

    Bump version to 24.3.50

:100644 100644 2c50c5bbb91174367246f5e585a31265b001d68d 9153c656dbea20eb462f32830da09b180e2df92a M	README
:100644 100644 4564bc3085e3413b69595794c8cb6eca58af6002 b0711923e1a0024cc522d059fc3a30e9b0fb9775 M	configure.ac
:040000 040000 25ee22b3e1847fe28470188ca03bffdbcfc694cd c4bb600a6d1910112edc713c5ce5ff002ca95e4c M	doc
:040000 040000 43eda55478723dc07364848fec466c7eb76cb0d3 665f36f085d3d792a6d29310dd00eb8ac044f3ee M	msdos
:040000 040000 c4ecb38213739ee30d8701454ef8bbbbfceb8f51 a2005bb04895d7d6070456aaaef9a710e34b1462 M	nt
bisect run success
================================================================

# bad: [83bad90efe943e7c88431b7a71bc1d5cf1304c92] Add 24.4 release ChangeLog entries
# good: [24958590a00900371b6b3b154fc1df5c980d056c] Add 24.3 release to ChangeLogs
git bisect start 'emacs-24.4' 'emacs-24.3'
# skip: [dd4f8b743d6c3f5f59e5afeca813c13619a0a771] * lisp/progmodes/cc-mode.el: Minor cleanup of var declarations. (c-define-abbrev-table): Add `doc' argument. (c-mode-abbrev-table, c++-mode-abbrev-table) (objc-mode-abbrev-table, java-mode-abbrev-table) (idl-mode-abbrev-table, pike-mode-abbrev-table) (awk-mode-abbrev-table): Use it. (c-mode-syntax-table, c-mode-map, c++-mode-syntax-table) (c++-mode-map, objc-mode-syntax-table, objc-mode-map) (java-mode-syntax-table, java-mode-map, idl-mode-syntax-table) (idl-mode-map, pike-mode-syntax-table, pike-mode-map, awk-mode-map): Move initialization into the declaration; and remove any autoload cookie.
git bisect skip dd4f8b743d6c3f5f59e5afeca813c13619a0a771
# bad: [91b982a0355d6eff74f7d9df56d5b321b13d2f8a] * progmodes/grep.el (rgrep): Escape command line.  Sometimes, it is too long for Tramp.  See discussion in <http://thread.gmane.org/gmane.emacs.tramp/8233/focus=8244>.
git bisect bad 91b982a0355d6eff74f7d9df56d5b321b13d2f8a
# bad: [4a9204fe04dee76dd067aaf1b078a777d1bb1a91] * callproc.c (Fcall_process): Don't misreport vfork failure.
git bisect bad 4a9204fe04dee76dd067aaf1b078a777d1bb1a91
# bad: [b24696b8c857f76f4fa5769578e9b8db279a2aa8] nt/config.nt: Sync with autogen/config.in. (GETGROUPS_T, GETGROUPS_ZERO_BUG, GNULIB_FACCESSAT, HAVE_ACCESS) (HAVE_EACCESS, HAVE_FACCESSAT, HAVE_GETGROUPS, HAVE_LIBGEN_H): New macros.
git bisect bad b24696b8c857f76f4fa5769578e9b8db279a2aa8
# skip: [79b3e3765638652130d01dc083fdbfa2efc0092c] * lisp/progmodes/perl-mode.el (perl-prettify-symbols): New defcustom. (perl--prettify-symbols-alist): New const. (perl--font-lock-compose-symbol, perl--font-lock-symbols-keywords): New funs. (perl-font-lock-keywords-2): Use them. (perl-electric-noindent-p): New function. (perl-mode): Use it to set up electric-indent-mode. (perl-electric-terminator, perl-indent-command): Mark obsolete. (perl-mode-map): Remove bindings for them. (perl-imenu-generic-expression, perl-outline-level): Match functions&packages in column>0.
git bisect skip 79b3e3765638652130d01dc083fdbfa2efc0092c
# bad: [f5925cd9f5e525c1e023c163338ccbf6c19e9ef0] * lisp/emacs-lisp/bytecomp.el (byte-compile-out-toplevel): Don't turn (funcall '(lambda ..) ..) into ((lambda ..) ..).
git bisect bad f5925cd9f5e525c1e023c163338ccbf6c19e9ef0
# bad: [89bc059271bd3d7c62314a05664b111705c4bec9] * window.c (quad): New function. (Fwindow_edges, Fwindow_pixel_edges, Fwindow_inside_edges) (Fwindow_absolute_pixel_edges, Fwindow_inside_absolute_pixel_edges) (Fwindow_inside_pixel_edges, Fpos_visible_in_window_p) (Fwindow_line_height): Use it. (Fwindow_fringes): Use list3. (Fwindow_scroll_bars): Use list4. (Fwindow_frame, Fwindow_top_child, Fwindow_left_child) (Fwindow_combination_limit): Allow zero number of arguments.
git bisect bad 89bc059271bd3d7c62314a05664b111705c4bec9
# bad: [f58542e1510319921d1745e0ad647ed42b1157f2] Merge from emacs-24; up to 2012-11-03T05:11:[email-masked]
git bisect bad f58542e1510319921d1745e0ad647ed42b1157f2
# bad: [00a3b041730e178fe68850b76ac4216af62ea606] No need for filecache.el to load find-lisp when compiling
git bisect bad 00a3b041730e178fe68850b76ac4216af62ea606
# bad: [1005b4b98a43c4aea2ac8f01a5743b6b38bdd964] Implement backtrace output for fatal errors on MS-Windows.
git bisect bad 1005b4b98a43c4aea2ac8f01a5743b6b38bdd964
# bad: [2b371ff75d64fb34466119e33f5cbb2c5eb27364] Remove pad from struct input_event. * termhooks.h (struct input_event): Remove padding field. Adjust comment. * keyboard.c (event_to_kboard): Simplify because frame_or_window member is never cons for a long time.  Adjust comment. (mark_kboards): Adjust because SELECTION_REQUEST_EVENT and SELECTION_CLEAR_EVENT has no Lisp_Objects to mark.  Add comment. * xterm.c (handle_one_xevent): Do not initialize frame_or_window field of SELECTION_REQUEST_EVENT and SELECTION_CLEAR_EVENT.
git bisect bad 2b371ff75d64fb34466119e33f5cbb2c5eb27364
# bad: [052f924a01f8a65ca0bfc9e6584302613e019489] Bump version to 24.3.50
git bisect bad 052f924a01f8a65ca0bfc9e6584302613e019489
# first bad commit: [052f924a01f8a65ca0bfc9e6584302613e019489] Bump version to 24.3.50

Sam Halliday <[email-masked]> writes:

> Yeah it's weird. I asked git to stay between 24.4 (bad) and 24.3 (good). I
> tried it again with return 155 but again it jumped outside the bound.
>
> I'll have to read up on cut biscect. It's not behaving as expected.
>
> A minimal reproducible case would certainly get the thanks of my
> ludicrously overheated CPUs right about now! :-P
> On 10 Mar 2015 19:30, "Glenn Morris" <[email-masked]> wrote:
>
>> Sam Halliday wrote:
>>
>> > 5f53d2441abf6eafe8e14f29d73e14afe8bec35f is the first bad commit
>>
>> This commit first appeared in Emacs 23.4.
>>
>> This makes no sense, since you previously said that the issue (whatever
>> it actually is) was not present in 24.1, 24.2, or 24.3. So why are you
>> even bisecting over such old revisions? You might want to repeat your
>> bisection but only over the range corresponding to the 24.3 and 24.4
>> releases.
>>
>> (Personally I think this report is suffering from a lack of a minimal
>> reproducible example.)
>>

-- 
Best regards,
Sam